""" Definition of the URL paths to access the views of the Maistar ranking. """

from django.conf.urls import url
from . import views

urlpatterns = [
    url('^$', views.ListRankings.as_view()),
    url(r'^event/(?P<event>[\d]+)/maistar/$',
        views.ListGames.as_view(), name="maistar-game-list"),
    url(r'^event/(?P<event>[\d]+)/maistar/add/$',
        views.GameForm.as_view(), name="maistar-add-game"),
    url(r'^maistar/(?P<game>[\d]+)/edit/$',
        views.GameForm.as_view(), name="maistar-edit-game"),
    url(r'^maistar/(?P<game>[\d]+)/delete/$',
        views.DeleteGame.as_view(), name="maistar-delete-game"),
    url(r'^maistar/$',
        views.ListRankings.as_view(), name="maistar-ranking"),
    url(r'^maistar/(?P<season>[\d]+)/$',
        views.ListRankings.as_view(), name="maistar-ranking"),
    url(r'^player/(?P<username>[\-\.\d\w]+)/maistar/$',
        views.ListPlayerGames.as_view(), name="maistar-player-games"),
    url(r'^player/(?P<username>[\-\.\d\w]+)/maistar/(?P<season>[\d]+)/$',
        views.ListPlayerGames.as_view(), name="maistar-player-games"),
]
